Bug 5560 - Support for fontconfig embeddedbitmap option
Summary: Support for fontconfig embeddedbitmap option
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: freetype font backend (show other bugs)
Version: 1.0.2
Hardware: x86 (IA32) Linux (All)
: high enhancement
Assignee: Owen Taylor
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-10 14:52 UTC by Tim Mayberry
Modified: 2006-04-25 11:26 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mayberry 2006-01-10 14:52:35 UTC
A small patch was submitted to the cairo list back in September
http://lists.freedesktop.org/archives/cairo/2005-September/005404.html
that enabled cairo to support the fontconfig FC_EMBEDDED_BITMAP option. The
patch allows gtk/gnome applications to always display the fonts with the
embedded bitmaps if it is specified in the fontconfig configuration file.

This patch effects a few bugs in the Red Hat bugzilla(164374,167383) and I was
wondering if there was any plan to incorporate this patch(or something like it)
into cairo as it isn't a Red Hat specific bug and is functionality that may be
desirable for other linux distributions.
Comment 1 Carl Worth 2006-04-26 04:26:05 UTC
This is now committed (as of 1.1.3):

http://gitweb.freedesktop.org/?p=cairo;a=commit;h=fe8bf47afc11b12034fd2c92caf424c8911d630b

Support fontconfig embeddedbitmap option/handle transformation issue as well.
author	Zhe Su <james.su@gmail.com>
	Tue, 25 Apr 2006 17:20:42 +0000 (10:20 -0700)
committer	Carl Worth <cworth@cworth.org>
	Tue, 25 Apr 2006 17:20:42 +0000 (10:20 -0700)

-Carl


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.